package cn.com.poc.meeting.convert;

import cn.com.poc.meeting.dto.BizMeetingAssistantAsrTaskDto;
import cn.com.poc.meeting.entity.BizMeetingAssistantAsrTaskEntity;
import cn.com.poc.meeting.model.BizMeetingAssistantAsrTaskModel;


public class BizMeetingAssistantAsrTaskConvert {

    public static BizMeetingAssistantAsrTaskEntity modelToEntity(BizMeetingAssistantAsrTaskModel model){
        BizMeetingAssistantAsrTaskEntity entity = new BizMeetingAssistantAsrTaskEntity();
        entity.setId(model.getId());
        entity.setMemberId(model.getMemberId());
        entity.setDiaguesId(model.getDiaguesId());
        entity.setSessionId(model.getSessionId());
        entity.setGenerateStatus(model.getGenerateStatus());
        entity.setMessage(model.getMessage());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizMeetingAssistantAsrTaskModel entityToModel(BizMeetingAssistantAsrTaskEntity entity){
        BizMeetingAssistantAsrTaskModel model = new BizMeetingAssistantAsrTaskModel();
        model.setId(entity.getId());
        model.setMemberId(entity.getMemberId());
        model.setDiaguesId(entity.getDiaguesId());
        model.setSessionId(entity.getSessionId());
        model.setGenerateStatus(entity.getGenerateStatus());
        model.setMessage(entity.getMessage());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static BizMeetingAssistantAsrTaskDto entityToDto(BizMeetingAssistantAsrTaskEntity entity){
        BizMeetingAssistantAsrTaskDto dto = new BizMeetingAssistantAsrTaskDto();
        dto.setId(entity.getId());
        dto.setMemberId(entity.getMemberId());
        dto.setDiaguesId(entity.getDiaguesId());
        dto.setSessionId(entity.getSessionId());
        dto.setGenerateStatus(entity.getGenerateStatus());
        dto.setMessage(entity.getMessage());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizMeetingAssistantAsrTaskEntity dtoToEntity(BizMeetingAssistantAsrTaskDto dto){
        BizMeetingAssistantAsrTaskEntity entity = new BizMeetingAssistantAsrTaskEntity();
        entity.setId(dto.getId());
        entity.setMemberId(dto.getMemberId());
        entity.setDiaguesId(dto.getDiaguesId());
        entity.setSessionId(dto.getSessionId());
        entity.setGenerateStatus(dto.getGenerateStatus());
        entity.setMessage(dto.getMessage());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}